<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>bundles-pom</artifactId>
    <groupId>org.apache.servicemix.bundles</groupId>
    <version>10</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.apache.karaf.bundles</groupId>
  <artifactId>org.apache.karaf.bundles.xalan-serializer-2.7.1</artifactId>
  <packaging>bundle</packaging>
  <name>Apache ServiceMix :: Bundles :: ${pkgArtifactId}</name>
  <version>2.3.0.redhat-60024</version>
  <description>This OSGi bundle wraps ${pkgArtifactId} ${pkgVersion} jar file.</description>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>${pkgGroupId}:${pkgArtifactId}</include>
                </includes>
              </artifactSet>
              <filters>
                <filter>
                  <artifact>${pkgGroupId}:${pkgArtifactId}</artifact>
                  <excludes>
                    <exclude>**</exclude>
                  </excludes>
                </filter>
              </filters>
              <promoteTransitiveDependencies>true</promoteTransitiveDependencies>
              <createDependencyReducedPom>true</createDependencyReducedPom>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <dependencies>
    <dependency>
      <groupId>xml-apis</groupId>
      <artifactId>xml-apis</artifactId>
      <version>1.3.04</version>
      <scope>compile</scope>
    </dependency>
  </dependencies>
  <distributionManagement>
    <repository>
      <id>fusesource-nexus-staging</id>
      <name>FuseSource Release Repository</name>
      <url>http://repo.fusesource.com/nexus/service/local/staging/deploy/maven2</url>
    </repository>
    <snapshotRepository>
      <id>fusesource-nexus-snapshots</id>
      <name>FuseSource Nexus Snapshots</name>
      <url>http://repo.fusesource.com/nexus/content/repositories/snapshots</url>
    </snapshotRepository>
  </distributionManagement>
  <properties>
    <pkgVersion>2.7.1</pkgVersion>
    <servicemix.osgi.import.pkg>javax.xml.transform,
          org.w3c.dom,
          org.w3c.dom.ls,
          org.w3c.dom.traversal,
          org.xml.sax,
          org.xml.sax.ext,
          org.xml.sax.helpers</servicemix.osgi.import.pkg>
    <servicemix.osgi.export.pkg>org.apache.xml.serializer</servicemix.osgi.export.pkg>
    <pkgArtifactId>serializer</pkgArtifactId>
    <pkgGroupId>xalan</pkgGroupId>
  </properties>
</project>

